This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253676 - Typo in org.hibernate.valitator.event.ValidateEventListener
Typo in org.hibernate.valitator.event.ValidateEventListener
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Hibernate_Reference_Guide (Show other bugs)
4.2.0
All All
low Severity low
: ---
: ---
Assigned To: Vinu S Renish
Content Services Development
http://www.redhat.com/docs/manuals/jb...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 02:48 EDT by Aleksandar Kamburov
Modified: 2008-04-17 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 01:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kamburov 2007-08-21 02:48:07 EDT
Description of problem:
The package of the class ValidateEventListener is misspelled. Instead of
"validator" you have "valitator" on two occasions (pre-insert, pre-insert).

Version-Release number of selected component (if applicable):


How reproducible:
If you need to create a new listener you might want to copy-paste the default
values for pre-insert/pre-insert listeners and add your own classes. With the
current error you will introduce a bug in your code that will throw a runtime
exception on application startup.
 
Actual results:
org.hibernate.valitator.event.ValidateEventListener

Expected results:
org.hibernate.validator.event.ValidateEventListener

Additional info:
The same problem exists on this page
http://www.hibernate.org/hib_docs/entitymanager/reference/en/html/configuration.html
Comment 1 Michael Hideo 2008-01-17 00:49:38 EST
Mass Re-Assignment to Vinu for vetting. Investigate and migrate to JIRA if
necessary. 
Comment 2 Vinu S Renish 2008-04-17 01:47:20 EDT
Done. Will be available in the next CP release (4.2 CP03 and 4.3 CP01)

Note You need to log in before you can comment on or make changes to this bug.